%{

/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


/* IMPORTS *******************************************************************/

#ifndef __string_H
#define __string_H
#include <string.h>
#endif

#ifndef __stdlib_H
#define __stdlib_H
#include <stdlib.h>
#endif

extern "C" {
  int yywrap() ;
  int yyparse() ;
}

#include "repert.h"
#include "repert_y.h"

/*****************************************************************************/


%}


IDENT           [a-zA-Z_][a-zA-Z_0-9]*
DIR		\/.*
INT             [0-9][0-9]*

%%
[ \t\n]		;

^\*.*\n         ;

volume	        return VOL;

system		return SYSTEM;

schema		return SCHEMA;

config          return CONFIG ;

alloc           return ALLOC ;

cache           return CACHE ;

waitlock        return WAITLOCK ; 

locktimeout     return LOCKTIMEOUT ;

numtrans        return NUMTRANS ;

true            {
                  yylval.kwd = 1 ;
		  return BOOLEAN ;
		}

false           {
                  yylval.kwd = 0 ;
		  return BOOLEAN ;
		}

{IDENT}		{
		  strcpy(yylval.text, (char*)yytext);
		  return IDENT;
		}

{DIR}		{
                  strcpy(yylval.text, (char*)yytext);
		  return DIR;
		}

{INT}           {
                  yylval.kwd = atoi((char*)yytext) ;
		  return INT ;
                }

.		return yytext[0];
%%
